Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 131713 - ArrayIndexOutOfBoundsException: 0
ArrayIndexOutOfBoundsException: 0
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 13:09 UTC by novakm
Modified: 2008-06-04 08:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.40 KB, text/plain)
2008-04-01 13:09 UTC, novakm
Details
main_work_76919_9708b64d41e6-mercurial-ext-editor.patch (6.79 KB, text/plain)
2008-04-01 20:40 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description novakm 2008-04-01 13:09:26 UTC
Build: NetBeans IDE Dev (Build 200804010004)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows Vista, 6.0, x86

User Comments: 
I opened Mercurial Extensions Editor from options and wanted to remove the ! from hgext.fetch row. I was not sure how to do it so I double-clicked the row, changed Property Value (deleted the exclamation mark) and pressed Add button. After that, the AIOOBE was thrown.
Comment 1 novakm 2008-04-01 13:09:35 UTC
Created attachment 59479 [details]
stacktrace
Comment 2 John Rice 2008-04-01 20:39:53 UTC
Cleaned up Mercurial Extensions editor so it should be easier to use and doesn't throw exceptions.

Comes up with first item of list selected. Single click on an item to edit it, removing and adding are now consistent as
well.

changeset:   76935:275215f2f020
tag:         tip
user:        jrice@netbeans.org
date:        Tue Apr 01 20:31:05 2008 +0100
summary:     #131713: Options ->Mercurial Extensions editor, clean up behavior

Comment 3 John Rice 2008-04-01 20:40:29 UTC
Created attachment 59509 [details]
main_work_76919_9708b64d41e6-mercurial-ext-editor.patch
Comment 4 novakm 2008-04-14 09:53:17 UTC
Verified in build 200804090003
Comment 5 rbalada 2008-04-25 17:00:46 UTC
Merged into release61_fixes repository

changeset:   77446:c3814023cbbc
user:        jrice@netbeans.org
date:        Tue Apr 01 20:31:05 2008 +0100
summary:     #131713: Options ->Mercurial Extensions editor, clean up behavior
Comment 6 Peter Pis 2008-05-19 10:05:35 UTC
Verified on Patch1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo